/**
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"). You may not use this file except in compliance
 *  with the License. A copy of the License is located at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  or in the 'license' file accompanying this file. This file is distributed on an 'AS IS' BASIS, WITHOUT WARRANTIES
 *  OR CONDITIONS OF ANY KIND, express or implied. See the License for the specific language governing permissions
 *  and limitations under the License.
 */
import { PolicyStatement } from 'aws-cdk-lib/aws-iam';
import { NodejsFunction } from 'aws-cdk-lib/aws-lambda-nodejs';
import { Bucket } from 'aws-cdk-lib/aws-s3';
import { StateMachine } from 'aws-cdk-lib/aws-stepfunctions';
import { Construct } from 'constructs';
export interface StackActionStateMachineProps {
    readonly callbackBucket: Bucket;
    readonly policyStatementForRunStack?: PolicyStatement[];
}
export declare class StackActionStateMachine extends Construct {
    readonly actionStateMachine: StateMachine;
    readonly actionFunction: NodejsFunction;
    constructor(scope: Construct, id: string, props: StackActionStateMachineProps);
    private _createActionFunction;
    private _attachPolicy;
    private _chain;
}
