"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cleanupMiddlewares = void 0;
const constants_1 = require("./constants");
const isFunction = (obj) => {
    return typeof obj === 'function';
};
const cleanupMiddlewares = async (request) => {
    const cleanupFunctionNames = [
        constants_1.TRACER_KEY,
        constants_1.METRICS_KEY,
        constants_1.LOGGER_KEY,
        constants_1.IDEMPOTENCY_KEY,
    ];
    for (const functionName of cleanupFunctionNames) {
        if (Object(request.internal).hasOwnProperty(functionName)) {
            const functionReference = request.internal[functionName];
            if (isFunction(functionReference)) {
                await functionReference(request);
            }
        }
    }
};
exports.cleanupMiddlewares = cleanupMiddlewares;
